#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionShapes/btBoxShape.h"
#pragma managed
#include "ICollisionShape.h"

using namespace System;

namespace BulletCLI 
{
    public ref class BoxShape : public ICollisionShape
	{
	private:
		btBoxShape* m_p;
	internal:
        virtual btCollisionShape* GetPtr() override {return m_p;}
    public:
		BoxShape(Vector3 boxHalfExtends);
        virtual ~BoxShape();
		!BoxShape();
	};
}